Module java.xml
Package org.w3c.dom.events

# Class EventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.events.EventException

All Implemented Interfaces:
  `Serializable`

public class EventException extends RuntimeException
Event operations may throw an `EventException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  1.5, DOM Level 2
See Also:
  Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`code`
`static short`
`UNSPECIFIED_EVENT_TYPE_ERR`
If the `Event`'s type was not specified by initializing the event before the method was called.

## Constructor Summary

Constructors
Constructor
Description
`EventException​(short code, String message)`

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### code

public short code

### UNSPECIFIED_EVENT_TYPE_ERR

public static final short UNSPECIFIED_EVENT_TYPE_ERR
If the `Event`'s type was not specified by initializing the event before the method was called. Specification of the Event's type as `null` or an empty string will also trigger this exception.

See Also:
  Constant Field Values

## Constructor Details

### EventException

public EventException​(short code, String message)